function [FuncAddr,LB,UB,D,quantis,err,opt_f]=problemsMonte(funSet,fun,D)

switch funSet
  case 1
    CEC2011Dir = 'CEC 2011 Benchmark';
    addpath(['./', CEC2011Dir]);
    addpath(['./', CEC2011Dir, '/Probs_1_to_8']);
    addpath(['./', CEC2011Dir, '/Prob_9_Transmission_Pricing']);
    addpath(['./', CEC2011Dir, '/Prob_10_Circ_Antenna']);
    addpath(['./', CEC2011Dir, '/Probs_11_ELD_Package/DED Codes']);
    addpath(['./', CEC2011Dir, '/Probs_11_ELD_Package/ELD Codes']);
    addpath(['./', CEC2011Dir,...
      '/Probs_11_ELD_Package/Hydrothermal Codes']);
    addpath(['./', CEC2011Dir, '/Probs_12_to_13_Package']);
    addpath('./MyFunctions');
    GetFunInfoAddr = @CEC2011get_fun_info;
    FuncAddr = @CEC2011func;
    fprintf('\nCEC 2011 Real world problems');
    
    [LB, UB, D, opt_f, err] = GetFunInfoAddr(fun);
    quantis=[]; 
    
  case 2
    % Warning. Be sure to use the (slightly) modified codes
    % given with this one, for there are some bugs
    % in the Matlab codes of the original benchmark
    addpath('./CEC 2005 Benchmark');
    addpath('./MyFunctions');
    GetFunInfoAddr = @CEC2005get_fun_info;
    FuncAddr = @CEC2005func;
    fprintf('\nCEC 2005 Problems');
    
    % (see benchmark_func)
    clear fhd f_bias
    clear o
    clear M
    clear a b A alpha
    clear fun_num func sigma lamda bias
    
    [LB, UB, D, opt_f, err] = GetFunInfoAddr(fun,D);
    quantis=[];
   disp( GetFunInfoAddr); 
   fprintf('\n opt_f'); disp(opt_f)
    
  case 3
    % Other functions:
    %		Alpine, Tripod, Gear Train, Pressure vessel, etc.
    %			See /Myfunctions/get_fun_info.m	for details
    addpath('./MyFunctions');
    GetFunInfoAddr = @get_fun_info;
    FuncAddr = @MyFunctionsfunc;
    fprintf('\nMy functions');
    [LB, UB, D, opt_f, err,quantis] = GetFunInfoAddr(fun,D);
end
end
